TKABBER-REMOTE(1)

NAME
tkabber-remote - remotely control a running instance of Tkabber

SYNOPSIS

tkabber-remote [options] -eval script

tkabber-remote [options] -command command

DESCRIPTION

Tkabber is a GUI client for XMPP (Jabber) instant messaging protocol. It provides full support for basic XMPP specifications as well as many extensions (XEPs) including multi-user conferencing, file transfers, extensive handling of privacy lists and much more. Tkabber is written in Tcl/Tk and thus is easily extensible.

The tkabber-remote program can be used to remotely control a running instance of Tkabber by sending it predefined commands or Tcl scripts for execution.

This manual page was written for the Debian distribution because the original program does not have a manual page.

OPTIONS

-user user
    Makes the program control Tkabber run by the specified user instead of the user who runs tkabber-remote.

-pid PID
    Makes the program control Tkabber process with the specified identifier (PID) instead of all the instances found.

EXECUTING SCRIPTS

To make a running Tkabber instance execute an arbitrary Tcl script use the -eval command-line option followed by that script's text. (The script's text must form a single argument passed to this program, so proper quoting should be used, if necessary, when calling tkabber-remote from a shell).

Executing a script prints the PID of the process which received and executed the script, and then the string representation of the Tcl value the script returned.

EXECUTING COMMANDS

The commands which can be used with the -command command-line options are:

list-commands
    Prints a list of all the commands supported by the -command command-line option.

set-proxy-profile profile
    Sets an active network proxy profile by its name. The profile must be already configured.

set-status status [textstatus]
    Sets the availability (presence) status of the user.

    Available status codes are:

    available
        The user is available.

    away
        The user is temporarily away.

    chat
        The user is actively interested in chatting.

    dnd The user does not want to be disturbed (dnd = "Do Not Disturb").

    xa  The user is away for an exteneded period of time (xa = "eXtended Away").

    The optional textstatus argument can be used to set a textual message which accompanies the availability status. (The message's text must form a single argument, so proper quoting should be used, if necessary, when calling tkabber-remote from a shell).

    Note that sending this command while the receiving Tkabber instance is offline (not connected) will not make it connect; the status will merely be recorded and announced when Tkabber goes online.

Executing a command prints the PID of the process which received and executed the command, and then the string representation of the Tcl value the command returned.

SEE ALSO

tkaber(1) tkabber-plugins(7)

AUTHOR

This manual page was written by Konstantin Khomoutov <flatworm@users.sourceforge.net> for the Debian system (but may be used by others). Copying and distribution of this document, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.